#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 HTF
version:              0.15.0.1
visibility:           public
id:                   HTF-0.15.0.1-IAqxLmq2YUCBo2la1pb1Uu
key:                  HTF-0.15.0.1-IAqxLmq2YUCBo2la1pb1Uu
license:              LGPL-2.1-only
copyright:            (c) 2005-2023 Stefan Wehr
maintainer:           Stefan Wehr
author:               Stefan Wehr
stability:            Beta
homepage:             https://github.com/skogsbaer/HTF/
synopsis:             The Haskell Test Framework
description:
    The Haskell Test Framework (/HTF/ for short) lets you define and organize unit tests,
    QuickCheck properties,
    and black box tests in an
    easy and convenient way. HTF uses a custom preprocessor that collects
    test definitions automatically.

    HTF produces highly readable output
    for failing test cases: it provides exact file name and line number
    information,
    it colors and pretty prints expected and
    actual results, and it displays a diff highlighting the mismatching parts.

    The documentation of the "Test.Framework.Tutorial" module
    provides a tutorial for HTF. The /sample/ directory in
    the HTF repo provides a good starting point for
    a project using HTF.

category:             Testing
abi:                  1e6723d1f37c9bbfa9a4460cf7c11e2b
exposed:              True
exposed-modules:
    Test.Framework Test.Framework.AssertM Test.Framework.BlackBoxTest
    Test.Framework.HUnitWrapper Test.Framework.History
    Test.Framework.JsonOutput Test.Framework.Location
    Test.Framework.Preprocessor Test.Framework.Pretty
    Test.Framework.PrettyHaskell Test.Framework.QuickCheckWrapper
    Test.Framework.TestInterface Test.Framework.TestManager
    Test.Framework.TestTypes Test.Framework.ThreadPool
    Test.Framework.Tutorial Test.Framework.XmlOutput

hidden-modules:
    Paths_HTF Test.Framework.CmdlineOptions Test.Framework.Colors
    Test.Framework.Diff Test.Framework.Process
    Test.Framework.TestReporter Test.Framework.Utils

import-dirs:          /usr/lib/ghc-9.0.2/site-local/HTF-0.15.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/HTF-0.15.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-htf
hs-libraries:         HSHTF-0.15.0.1-IAqxLmq2YUCBo2la1pb1Uu
depends:
    Diff-0.4.1-1IO8RfSzzW83e8uI1umwz8
    HUnit-1.6.2.0-MIPDZU62sb3Mljfo00zES
    QuickCheck-2.14.3-DAn0LMacIHzJut6JKwFNdl
    aeson-2.1.2.1-ACNZHhH4U2e67aZXZDgTOb array-0.5.4.0 base-4.15.1.0
    base64-bytestring-1.2.1.0-CM0hYSNUcmEXJNyTXmK7o
    bytestring-0.10.12.1 containers-0.6.4.1
    cpphs-1.20.9.1-1jAFiSyqcHj3RbgQIQP02q directory-1.3.6.2
    haskell-src-1.0.4-7DEt635NJZK7Y4KdXb4eDD
    lifted-base-0.2.3.12-Hgjzb6uvwA42bWZ2fP8Vow
    monad-control-1.0.3.1-Iyo0Hs1B0N5S6526HtQF mtl-2.2.2
    old-time-1.1.0.3-B4Ro2AUl5kn1VzPHPQkaoe pretty-1.1.3.6
    process-1.6.13.2 random-1.2.1.1-Jsd8w3Sbg0mK17rOHVUzgD
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix text-1.2.5.0 time-1.9.3
    unix-2.7.2.2 vector-0.13.0.0-HZxUYbi5cfB4SV8TkUpCM2
    xmlgen-0.6.2.2-4OcP0KVs6PbKvFjZEjQ5Tm

haddock-interfaces:   /usr/share/doc/haskell-htf/html/HTF.haddock
haddock-html:         /usr/share/doc/haskell-htf/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

